package com.willalp.canteen.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.willalp.common.annotation.Excel;

import java.math.BigDecimal;
import java.util.Objects;

/**
 * 菜单登记对象 hs_canteen_menu_register
 *
 * @author songyu
 * @date 2021-11-29
 */

@TableName("hs_canteen_menu_register")
public class HsCanteenMenuRegister {
    private static final long serialVersionUID = 1L;

    /**
     * 菜单登记id
     */
    @TableId
    private String registerId;

    /**
     * 菜单编号
     */
    @Excel(name = "菜单编号")
    private String menuNumber;

//    /** 时段id */
//    @Excel(name = "时段id")
//    private Integer periodId;
//
//    /** 消费模式id */
//    @Excel(name = "消费模式id")
//    private Integer patternId;
//
//    /** 消费人员类型 */
//    @Excel(name = "消费人员类型")
//    private String consumerType;

    /**
     * 菜品编号
     */
    @Excel(name = "菜品编号")
    private String cuisineNumber;

    /**
     * 菜品名称
     */
    @Excel(name = "菜品名称")
    private String cuisineName;

    /**
     * 默认价格
     */
    @Excel(name = "默认价格")
    private BigDecimal price;

    /**
     * 积分价格
     */
    @Excel(name = "积分价格")
    private BigDecimal integral;

    /**
     * 初始库存
     */
    @Excel(name = "已下单数量")
    private Integer stock;

    /**
     * 现有库存
     */
    @Excel(name = "现有库存")
    private Integer surplus;

    @Excel(name = "最大份数限制")
    private Integer maximum;

    /**
     * 机构代码
     */
    @Excel(name = "机构代码")
    private String jgid;

    /**
     * 是否删除（0.未删除；1.已删除）
     */
    @TableLogic
    private Integer isDelete;

    public String getRegisterId() {
        return registerId;
    }

    public void setRegisterId(String registerId) {
        this.registerId = registerId;
    }

    public String getMenuNumber() {
        return menuNumber;
    }

    public void setMenuNumber(String menuNumber) {
        this.menuNumber = menuNumber;
    }

//    public Integer getPeriodId() {
//        return periodId;
//    }
//
//    public void setPeriodId(Integer periodId) {
//        this.periodId = periodId;
//    }
//
//    public Integer getPatternId() {
//        return patternId;
//    }
//
//    public void setPatternId(Integer patternId) {
//        this.patternId = patternId;
//    }
//
//    public String getConsumerType() {
//        return consumerType;
//    }
//
//    public void setConsumerType(String consumerType) {
//        this.consumerType = consumerType;
//    }

    public String getCuisineNumber() {
        return cuisineNumber;
    }

    public void setCuisineNumber(String cuisineNumber) {
        this.cuisineNumber = cuisineNumber;
    }

    public String getCuisineName() {
        return cuisineName;
    }

    public void setCuisineName(String cuisineName) {
        this.cuisineName = cuisineName;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public BigDecimal getIntegral() {
        return integral;
    }

    public void setIntegral(BigDecimal integral) {
        this.integral = integral;
    }

    public Integer getStock() {
        return stock;
    }

    public void setStock(Integer stock) {
        this.stock = stock;
    }

    public Integer getSurplus() {
        return surplus;
    }

    public void setSurplus(Integer surplus) {
        this.surplus = surplus;
    }

    public String getJgid() {
        return jgid;
    }

    public void setJgid(String jgid) {
        this.jgid = jgid;
    }

    public Integer getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    public Integer getMaximum() {
        return maximum;
    }

    public void setMaximum(Integer maximum) {
        this.maximum = maximum;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        HsCanteenMenuRegister register = (HsCanteenMenuRegister) o;
        return Objects.equals(registerId, register.registerId) &&
                Objects.equals(menuNumber, register.menuNumber) &&
                Objects.equals(cuisineNumber, register.cuisineNumber) &&
                Objects.equals(cuisineName, register.cuisineName) &&
                Objects.equals(price, register.price) &&
                Objects.equals(integral, register.integral) &&
                Objects.equals(stock, register.stock) &&
                Objects.equals(surplus, register.surplus) &&
                Objects.equals(maximum, register.maximum) &&
                Objects.equals(jgid, register.jgid) &&
                Objects.equals(isDelete, register.isDelete);
    }

    @Override
    public int hashCode() {
        return Objects.hash(registerId, menuNumber, cuisineNumber, cuisineName, price, integral, stock, surplus, maximum, jgid, isDelete);
    }

    @Override
    public String toString() {
        final StringBuffer sb = new StringBuffer("HsCanteenMenuRegister{");
        sb.append("registerId='").append(registerId).append('\'');
        sb.append(", menuNumber='").append(menuNumber).append('\'');
        sb.append(", cuisineNumber='").append(cuisineNumber).append('\'');
        sb.append(", cuisineName='").append(cuisineName).append('\'');
        sb.append(", price=").append(price);
        sb.append(", integral=").append(integral);
        sb.append(", stock=").append(stock);
        sb.append(", surplus=").append(surplus);
        sb.append(", maximum=").append(maximum);
        sb.append(", jgid='").append(jgid).append('\'');
        sb.append(", isDelete=").append(isDelete);
        sb.append('}');
        return sb.toString();
    }
}
